/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.pmd.cpd;

import org.sonar.plugins.api.maven.AbstractMavenPluginHandler;
import org.sonar.plugins.api.maven.model.MavenPlugin;
import org.sonar.plugins.api.maven.model.MavenPom;
import org.sonar.plugins.pmd.PmdMavenPluginHandler;

public class CpdMavenPluginHandler extends AbstractMavenPluginHandler {
  public String getGroupId() {
    return PmdMavenPluginHandler.GROUP_ID;
  }

  public String getArtifactId() {
    return PmdMavenPluginHandler.ARTIFACT_ID;
  }

  public String getVersion() {
    return PmdMavenPluginHandler.VERSION;
  }

  public boolean isFixedVersion() {
    return false;
  }

  public String[] getGoals() {
    return new String[] {"cpd"};
  }

  public boolean shouldStopOnFailure() {
    return true;
  }

  @Override
  public void configurePlugin(MavenPom pom, MavenPlugin plugin) {
    plugin.unsetConfigParameter( "outputDirectory" );
    plugin.unsetConfigParameter( "targetDirectory" );
    plugin.setConfigParameter(  "format", "xml" );
  }
}